import type { SelectOption, TypeOptionProps } from './type';
export interface OptionsType extends TypeOptionProps {
    $index?: number;
}
declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").Ref<{
        clearIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        empty?: string;
        filterable?: boolean;
        loadingText?: string;
        placeholder?: string;
    }>;
    isEmpty: import("@vue/composition-api").ComputedRef<boolean>;
    renderTNode: (name: string, options?: import("../../hooks/render-lnode").OptionsType) => any;
    selectProvider: any;
    isCreateOptionShown: import("@vue/composition-api").ComputedRef<boolean>;
    trs: Map<any, any>;
    isVirtual: import("@vue/composition-api").ComputedRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    visibleData: import("@vue/composition-api").Ref<any[]>;
    scrollHeight: import("@vue/composition-api").ComputedRef<any>;
    translateY: import("@vue/composition-api").ComputedRef<any>;
    scrollType: "lazy" | "virtual";
    handleRowMounted: () => void;
    bufferSize: number;
    threshold: number;
    displayOptions: import("@vue/composition-api").ComputedRef<SelectOption[]>;
    getDisplayOptions: () => (SelectOption & {
        isCreated?: boolean;
    })[];
    componentName: import("@vue/composition-api").Ref<string>;
}> & import("@vue/composition-api").Data, {
    renderEmptyContent(): any;
    renderLoadingContent(): any;
    renderCreateOption(): JSX.Element;
    renderOptionsContent(options: SelectOption[]): JSX.Element;
    renderPanelContent(innerStyle?: {}): JSX.Element;
}, {}, Readonly<{
    filter?: any;
    scroll?: any;
    options?: any;
    empty?: any;
    size?: any;
    inputValue?: any;
    loading?: any;
    multiple?: any;
    loadingText?: any;
    panelTopContent?: any;
    panelBottomContent?: any;
    creatable?: any;
    filterable?: any;
}>, import("@vue/composition-api").ExtractPropTypes<Readonly<{
    filter?: any;
    scroll?: any;
    options?: any;
    empty?: any;
    size?: any;
    inputValue?: any;
    loading?: any;
    multiple?: any;
    loadingText?: any;
    panelTopContent?: any;
    panelBottomContent?: any;
    creatable?: any;
    filterable?: any;
}>>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    readonly filter?: any;
    readonly scroll?: any;
    readonly options?: any;
    readonly empty?: any;
    readonly size?: any;
    readonly inputValue?: any;
    readonly loading?: any;
    readonly multiple?: any;
    readonly loadingText?: any;
    readonly panelTopContent?: any;
    readonly panelBottomContent?: any;
    readonly creatable?: any;
    readonly filterable?: any;
} & {}, import("@vue/composition-api").ShallowUnwrapRef<{
    t: <T>(pattern: T, ...args: any[]) => any;
    global: import("@vue/composition-api").Ref<{
        clearIcon?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
        empty?: string;
        filterable?: boolean;
        loadingText?: string;
        placeholder?: string;
    }>;
    isEmpty: import("@vue/composition-api").ComputedRef<boolean>;
    renderTNode: (name: string, options?: import("../../hooks/render-lnode").OptionsType) => any;
    selectProvider: any;
    isCreateOptionShown: import("@vue/composition-api").ComputedRef<boolean>;
    trs: Map<any, any>;
    isVirtual: import("@vue/composition-api").ComputedRef<boolean>;
    onInnerVirtualScroll: (e: WheelEvent) => void;
    visibleData: import("@vue/composition-api").Ref<any[]>;
    scrollHeight: import("@vue/composition-api").ComputedRef<any>;
    translateY: import("@vue/composition-api").ComputedRef<any>;
    scrollType: "lazy" | "virtual";
    handleRowMounted: () => void;
    bufferSize: number;
    threshold: number;
    displayOptions: import("@vue/composition-api").ComputedRef<SelectOption[]>;
    getDisplayOptions: () => (SelectOption & {
        isCreated?: boolean;
    })[];
    componentName: import("@vue/composition-api").Ref<string>;
}>, import("@vue/composition-api").Data, {}, {
    renderEmptyContent(): any;
    renderLoadingContent(): any;
    renderCreateOption(): JSX.Element;
    renderOptionsContent(options: SelectOption[]): JSX.Element;
    renderPanelContent(innerStyle?: {}): JSX.Element;
}, {}, {}, {}, {
    readonly filter?: any;
    readonly scroll?: any;
    readonly options?: any;
    readonly empty?: any;
    readonly size?: any;
    readonly inputValue?: any;
    readonly loading?: any;
    readonly multiple?: any;
    readonly loadingText?: any;
    readonly panelTopContent?: any;
    readonly panelBottomContent?: any;
    readonly creatable?: any;
    readonly filterable?: any;
} & {}, {
    readonly filter?: any;
    readonly scroll?: any;
    readonly options?: any;
    readonly empty?: any;
    readonly size?: any;
    readonly inputValue?: any;
    readonly loading?: any;
    readonly multiple?: any;
    readonly loadingText?: any;
    readonly panelTopContent?: any;
    readonly panelBottomContent?: any;
    readonly creatable?: any;
    readonly filterable?: any;
}, true>);
export default _default;
